cd "P:\2019\66\Subsamples\out"

* Share immigrants *

use "P:\2019\66\Use\louise8516", clear
keep if age>=25 & age<=55
gen sharecap=(kapink+pasnar)/totinclkapink
collapse foreignb public sharecap, by(year)

twoway line foreignb year, ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
ytitle(Share foreign born) ///
scale(1.4) scheme(s2mono) graphregion(color(white)) ///
saving(foreignb_age2555, replace)
graph export foreignb_age2555.pdf, replace 

twoway line public year, ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
ytitle(Share public sector) ///
scale(1.4) scheme(s2mono) graphregion(color(white)) ///
saving(public_age2555, replace)
graph export public_age2555.pdf, replace

twoway line sharecap year, ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
ytitle(Share capital income) ///
scale(1.4) scheme(s2mono) graphregion(color(white)) ///
saving(cap_age2555, replace) 

* Capital income *

use "P:\2019\66\Use\louise8516", clear
keep if age>=25 & age<=55
keep if year>=1991
gen sharenegcap=(kapink<0)
gen sharenegpasnar=(pasnar<0)
gen sharecap=(kapink+pasnar)/totinclkapink
gen shareonlycap=kapink/(totinclkapink-pasnar)

gen poskapink=kapink
replace poskapink=0 if kapink<0
gen totinclposkapink=totinc+poskapink+pasnar
gen totinclposkapnopas=totinc+poskapink
gen sharecappos=(poskapink+pasnar)/totinclposkapink
gen sharecapposnopas=poskapink/totinclposkapnopas

collapse sharenegcap sharenegpasnar kapink pasnar labinc totinc ///
totinclkapink sharecap shareonlycap poskapink totinclposkapink ///
totinclposkapnopas sharecappos sharecapposnopas, by(year)

label var sharenegcap "Share negative kapink"
label var sharenegpasnar "Share negative pasnar"
label var kapink "Mean capital income"
label var pasnar "Mean passive s-e income"
label var labinc "Mean labor income"
label var totinc "Mean labor+ s-e income"
label var totinclkapink "Mean income incl capital and passive s-e"
label var sharecap "Share capital+pasnar income"
label var shareonlycap "Share capital (no pasnar) income"
label var poskapink "Mean positive capital income"
label var totinclposkapink "Mean income incl pos capital and passive s-e"
label var totinclposkapnopas "Mean income incl pos capital no pasnar income"
label var sharecappos "Share positive capital and pasnar income"
label var sharecapposnopas "Share positive capital no pasnar income"

twoway line sharecap* shareonlycap year
twoway line shareneg* year
twoway line kapink poskapink pasnar year
twoway line labinc totinc* year

use "P:\2019\66\dta\sampleselection.dta", clear
keep if year>=1991
keep if logearn!=.
gen sharenegcap=(kapink<0)
gen sharenegpasnar=(pasnar<0)
gen sharecap=(kapink+pasnar)/totinclkapink
gen shareonlycap=kapink/(totinclkapink-pasnar)

gen poskapink=kapink
replace poskapink=0 if kapink<0
gen totinclposkapink=totinc+poskapink+pasnar
gen totinclposkapnopas=totinc+poskapink
gen sharecappos=(poskapink+pasnar)/totinclposkapink
gen sharecapposnopas=poskapink/totinclposkapnopas

collapse sharenegcap sharenegpasnar kapink pasnar labinc totinc ///
totinclkapink sharecap shareonlycap poskapink totinclposkapink ///
totinclposkapnopas sharecappos sharecapposnopas, by(year)

label var sharenegcap "Share negative kapink"
label var sharenegpasnar "Share negative pasnar"
label var kapink "Mean capital income"
label var pasnar "Mean passive s-e income"
label var labinc "Mean labor income"
label var totinc "Mean labor+ s-e income"
label var totinclkapink "Mean income incl capital and passive s-e"
label var sharecap "Share capital+pasnar income"
label var shareonlycap "Share capital (no pasnar) income"
label var poskapink "Mean positive capital income"
label var totinclposkapink "Mean income incl pos capital and passive s-e"
label var totinclposkapnopas "Mean income incl pos capital no pasnar income"
label var sharecappos "Share positive capital and pasnar income"
label var sharecapposnopas "Share positive capital no pasnar income"

twoway line sharecap* shareonlycap year, saving(sharecap_sample, replace)
twoway line shareneg* year, saving(sharenegcap_sample, replace)
twoway line kapink poskapink pasnar year, saving(kapink_sample, replace)
twoway line labinc totinc* year, saving(totinc_sample, replace)

* Our sample top 10% earners *

use "P:\2019\66\dta\sampleselection.dta", clear
keep if year>=1991
keep if logearn!=.
bys year (logearn): gen x=int((_n/_N)*100)
keep if x>=90
gen sharenegcap=(kapink<0)
gen sharenegpasnar=(pasnar<0)
gen sharecap=(kapink+pasnar)/totinclkapink
gen shareonlycap=kapink/(totinclkapink-pasnar)

gen poskapink=kapink
replace poskapink=0 if kapink<0
gen totinclposkapink=totinc+poskapink+pasnar
gen totinclposkapnopas=totinc+poskapink
gen sharecappos=(poskapink+pasnar)/totinclposkapink
gen sharecapposnopas=poskapink/totinclposkapnopas

collapse sharenegcap sharenegpasnar kapink pasnar labinc totinc ///
totinclkapink sharecap shareonlycap poskapink totinclposkapink ///
totinclposkapnopas sharecappos sharecapposnopas, by(year)

label var sharenegcap "Share negative kapink"
label var sharenegpasnar "Share negative pasnar"
label var kapink "Mean capital income"
label var pasnar "Mean passive s-e income"
label var labinc "Mean labor income"
label var totinc "Mean labor+ s-e income"
label var totinclkapink "Mean income incl capital and passive s-e"
label var sharecap "Share capital+pasnar income"
label var shareonlycap "Share capital (no pasnar) income"
label var poskapink "Mean positive capital income"
label var totinclposkapink "Mean income incl pos capital and passive s-e"
label var totinclposkapnopas "Mean income incl pos capital no pasnar income"
label var sharecappos "Share positive capital and pasnar income"
label var sharecapposnopas "Share positive capital no pasnar income"

twoway line sharecap* shareonlycap year, saving(sharecap_top10, replace)
twoway line shareneg* year, saving(sharenegcap_top10, replace)
twoway line kapink poskapink pasnar year, saving(kapink_top10, replace)
twoway line labinc totinc* year, saving(totinc_top10, replace)

* Our sample top 1% earners *

use "P:\2019\66\dta\sampleselection.dta", clear
keep if year>=1991
keep if logearn!=.
bys year (logearn): gen x=int((_n/_N)*100)
keep if x>=99
gen sharenegcap=(kapink<0)
gen sharenegpasnar=(pasnar<0)
gen sharecap=(kapink+pasnar)/totinclkapink
gen shareonlycap=kapink/(totinclkapink-pasnar)

gen poskapink=kapink
replace poskapink=0 if kapink<0
gen totinclposkapink=totinc+poskapink+pasnar
gen totinclposkapnopas=totinc+poskapink
gen sharecappos=(poskapink+pasnar)/totinclposkapink
gen sharecapposnopas=poskapink/totinclposkapnopas

collapse sharenegcap sharenegpasnar kapink pasnar labinc totinc ///
totinclkapink sharecap shareonlycap poskapink totinclposkapink ///
totinclposkapnopas sharecappos sharecapposnopas, by(year)

label var sharenegcap "Share negative kapink"
label var sharenegpasnar "Share negative pasnar"
label var kapink "Mean capital income"
label var pasnar "Mean passive s-e income"
label var labinc "Mean labor income"
label var totinc "Mean labor+ s-e income"
label var totinclkapink "Mean income incl capital and passive s-e"
label var sharecap "Share capital+pasnar income"
label var shareonlycap "Share capital (no pasnar) income"
label var poskapink "Mean positive capital income"
label var totinclposkapink "Mean income incl pos capital and passive s-e"
label var totinclposkapnopas "Mean income incl pos capital no pasnar income"
label var sharecappos "Share positive capital and pasnar income"
label var sharecapposnopas "Share positive capital no pasnar income"

twoway line sharecap* shareonlycap year, saving(sharecap_top1, replace)
twoway line shareneg* year, saving(sharenegcap_top1, replace)
twoway line kapink poskapink pasnar year, saving(kapink_top1, replace)
twoway line labinc totinc* year, saving(totinc_top1, replace)

* Share public sector employment *
use "P:\2019\66\dta\sampleselection.dta", clear
keep if logearn!=.

gen public_foreignb=public if foreignb==1
gen public_natives=public if foreignb==0
gen public_men=public if male==1
gen public_women=public if male==0
gen public_foreignmen=public if male==1 & foreignb==1
gen public_foreignwomen=public if male==0 & foreignb==1
gen public_nativemen=public if male==1 & foreignb==0
gen public_nativewomen=public if male==0 & foreignb==0

collapse public*, by(year)
save public_foreign, replace

use public_foreign, clear
drop public_natives public_foreignb public_men public_women public
label var public_foreignmen "Foreign born men"
label var public_nativemen "Native men"
label var public_foreignwomen "Foreign born women"
label var public_nativewomen "Native women"
twoway line public_nativemen public_foreignmen public_nativewomen ///
public_foreignwomen year, ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
ytitle(Share public sector) ///
scale(1.4) scheme(s2mono) graphregion(color(white)) ///
saving(public_foreign, replace)
graph export public_foreign.pdf, replace 

use public_foreign, clear
label var public_men Men
label var public_women Women
label var year Year
twoway line public_men public_women year, ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
ytitle(Share public sector) ///
scale(1.4) scheme(s2mono) graphregion(color(white)) ///
saving(public_gender, replace)
graph export public_gender.pdf, replace 

* Share self-employed *
use "P:\2019\66\dta\sampleselection.dta", clear
keep if logearn!=.

gen selfemp=selfinc>0
gen selfemponly=selfinc>0 & labinc==0

log using selfemp.txt, text replace
gen largestselfinc=selfinc>labinc
sum labinc selfinc largestselfinc if selfemp==1 & selfemponly==0
sum selfinc if selfemponly==1
sum labinc selfinc largestselfinc if selfemp==1
log close

collapse selfemp selfemponly, by(year)
save selfemp, replace

use selfemp, clear
twoway line selfemp* year, saving(selfemp, replace)

* Share foreign-born workers
use "P:\2019\66\dta\sampleselection.dta", clear
keep if logearn!=.

collapse foreignb, by(year male)
save sample_share_foreign, replace

reshape wide foreignb, i(year) j(male)
label var foreignb0 Women
label var foreignb1 Men
label var year Year

twoway line foreignb* year, ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
ytitle(Share foreign born) ///
scale(1.4) scheme(s2mono) graphregion(color(white)) ///
saving(sample_foreignb, replace)
graph export sample_foreignb.pdf, replace 

*** 6. Wages and hours ***

cd "P:\2019\66\Use\"

use "P:\2019\66\dta\sampleselection.dta", clear

keep if insample_logearn==1

merge 1:1 dnr201966 year using "P:\2019\66\Use\lonstr8516", ///
keep(master match)
drop _merge

save hoursdata, replace

use hoursdata, clear

preserve
collapse tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform, by(male year)
save "P:\2019\66\dta\hoursmale", replace
restore

preserve
collapse tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform, by(male sector year)
save "P:\2019\66\dta\hoursmalesector", replace
restore

preserve
collapse tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform, by(male educ year)
save "P:\2019\66\dta\hoursmaleeduc", replace
restore

preserve
collapse tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform, by(male foreignb year)
save "P:\2019\66\dta\hoursmalefb", replace
restore

preserve
collapse tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform, by(male educ foreignb year)
save "P:\2019\66\dta\hoursmaleeducfb", replace
restore

preserve
gen agegr="2534" if age>=25 & age<=34
replace agegr="3544" if age>=35 & age<=44
replace agegr="4555" if age>=45 & age<=55
collapse tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform, by(male agegr year)
save "P:\2019\66\dta\hoursmaleage", replace
restore

preserve
gen agegr="2534" if age>=25 & age<=34
replace agegr="3544" if age>=35 & age<=44
replace agegr="4555" if age>=45 & age<=55
collapse tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform, by(male agegr educ year)
save "P:\2019\66\dta\hoursmaleageeduc", replace
restore

use "P:\2019\66\dta\hoursmalesector", clear
drop if sector==""
reshape wide tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform, i(year male) j(sector) string

merge m:1 year using "P:\2019\66\Use\cpi", keep(master match)
drop _merge

foreach var in arb tjm kommun stat landskomm{
gen manlreal`var'=manl`var'/(cpi2010/100)
}

foreach var in tjomf ovktid manl ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform manlreal{
label var `var'tjm "Private white-collar"
label var `var'arb "Private blue-collar"
label var `var'stat "State"
label var `var'kommun "Municipality"
label var `var'landskomm "County council"
}
foreach var in shortpt_tjomf longpt_tjomf partt_tjomf ///
fullt_tjomf fullt_anstform partt_anstform{
replace `var'tjm=`var'tjm*100
replace `var'arb=`var'arb*100
replace `var'kommun=`var'kommun*100
replace `var'stat=`var'stat*100
replace `var'landskomm=`var'landskomm*100
}
order *arb *kommun *stat *tjm *landskomm
label var year Year

twoway line tjomf* year if male==0, ///
title("Average working hours, percent of full-time") ///
subtitle("Women") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Percent") ///
yscale(range(70 100)) ylabel(70(10)100) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\tjomfwomen", replace)
graph export "P:\2019\66\Output\tjomfwomen.pdf", replace

twoway line tjomf* year if male==1, ///
title("Average working hours, percent of full-time") ///
subtitle("Men") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Percent") ///
yscale(range(70 100)) ylabel(70(10)100) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\tjomfmen", replace)
graph export "P:\2019\66\Output\tjomfmen.pdf", replace

twoway line partt_tjomf* year if male==0, ///
title("Share part-time, percent") ///
subtitle("Women") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Percent") ///
yscale(range(0 62)) ylabel(0(20)60) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\partt_tjomfwomen", replace)
graph export "P:\2019\66\Output\partt_tjomfwomen.pdf", replace

twoway line partt_tjomf* year if male==1, ///
title("Share part-time, percent") ///
subtitle("Men") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Percent") ///
yscale(range(0 62)) ylabel(0(20)60) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\partt_tjomfmen", replace)
graph export "P:\2019\66\Output\partt_tjomfmen.pdf", replace

twoway line partt_anstformarb partt_anstformtjm year if male==0, ///
title("Share part-time, percent") ///
subtitle("Women") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Percent") ///
yscale(range(0 80)) ylabel(0(20)80) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\partt_anstformwomen", replace)
graph export "P:\2019\66\Output\partt_anstformwomen.pdf", replace

twoway line partt_anstformarb partt_anstformtjm year if male==1, ///
title("Share part-time, percent") ///
subtitle("Men") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Percent") ///
yscale(range(0 62)) ylabel(0(20)60) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\partt_anstformmen", replace)
graph export "P:\2019\66\Output\partt_anstformmen.pdf", replace

twoway line manlreal* year if male==0, ///
title("Average full-time monthly wage, 2010 SEK") ///
subtitle("Women") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Percent") ///
yscale(range(10000 50000)) ylabel(10000(10000)50000) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\manlwomen", replace)
graph export "P:\2019\66\Output\manlwomen.pdf", replace

twoway line manlreal* year if male==1, ///
title("Average full-time monthly wage, 2010 SEK") ///
subtitle("Men") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Percent") ///
yscale(range(10000 50000)) ylabel(10000(10000)50000) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\manlmen", replace)
graph export "P:\2019\66\Output\manlmen.pdf", replace


*** Changes in hours ***

cd "P:\2019\66\Use\"
use hoursdata, clear

merge m:1 year using "P:\2019\66\Use\cpi", keep(master match)
drop _merge

gen manlreal=manl/(cpi2010/100)
gen logmanlreal=log(manlreal)
gen dlogmanlreal=logmanlreal-L.logmanlreal

gen logmanl=log(manl)
gen dlogmanl=logmanl-L.logmanl

encode sector, gen(sector1)

sort persid year
foreach var in tjomf ovktid manlreal ///
shortpt_tjomf longpt_tjomf partt_tjomf fullt_tjomf ///
fullt_anstform partt_anstform{
gen d`var'=`var'-L.`var'
replace d`var'=. if sector1!=L.sector1
}

preserve
collapse dtjomf dovktid dmanlreal ///
dshortpt_tjomf dlongpt_tjomf dpartt_tjomf dfullt_tjomf ///
dfullt_anstform dpartt_anstform, by(male sector year)
save "P:\2019\66\dta\diffhoursmalesector", replace
restore

use "P:\2019\66\dta\diffhoursmalesector", clear
drop if sector==""
reshape wide dtjomf dovktid dmanl ///
dshortpt_tjomf dlongpt_tjomf dpartt_tjomf dfullt_tjomf ///
dfullt_anstform dpartt_anstform, i(year male) j(sector) string

foreach var in dtjomf dovktid dmanlreal ///
dshortpt_tjomf dlongpt_tjomf dpartt_tjomf dfullt_tjomf ///
dfullt_anstform dpartt_anstform{
label var `var'tjm "Private white-collar"
label var `var'arb "Private blue-collar"
label var `var'stat "State"
label var `var'kommun "Municipality"
label var `var'landskomm "County council"
}
foreach var in dshortpt_tjomf dlongpt_tjomf dpartt_tjomf ///
dfullt_tjomf dfullt_anstform dpartt_anstform{
replace `var'tjm=`var'tjm*100
replace `var'arb=`var'arb*100
replace `var'kommun=`var'kommun*100
replace `var'stat=`var'stat*100
replace `var'landskomm=`var'landskomm*100
}
order *arb *kommun *stat *tjm *landskomm
label var year Year
/*
foreach var in dshortpt_tjomf dlongpt_tjomf dpartt_tjomf ///
dfullt_tjomf dfullt_anstform dpartt_anstform{
replace `var'arb=. if year==1999
replace `var'tjm=. if year==1995
replace `var'landskomm=. if year==1990
}
*/
replace dpartt_anstformarb=. if year==1986

twoway line dtjomf* year if male==0, ///
title("Change in average working hours, percent of full-time") ///
subtitle("Women") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Change") ///
yscale(range(-3 3)) ylabel(-3(1)3) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\difftjomfwomen", replace)
graph export "P:\2019\66\Output\difftjomfwomen.pdf", replace

twoway line dtjomf* year if male==1, ///
title("Average working hours, percent of full-time") ///
subtitle("Men") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Change") ///
yscale(range(-3 3)) ylabel(-3(1)3) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\difftjomfmen", replace)
graph export "P:\2019\66\Output\difftjomfmen.pdf", replace

twoway line dpartt_tjomf* year if male==0, ///
title("Change in share part-time, percent") ///
subtitle("Women") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Change") ///
yscale(range(-5 10)) ylabel(-5(5)10) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\diffpartt_tjomfwomen", replace)
graph export "P:\2019\66\Output\diffpartt_tjomfwomen.pdf", replace

twoway line dpartt_tjomf* year if male==1, ///
title("Change in share part-time, percent") ///
subtitle("Men") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Change") ///
yscale(range(-5 10)) ylabel(-5(5)10) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\diffpartt_tjomfmen", replace)
graph export "P:\2019\66\Output\diffpartt_tjomfmen.pdf", replace

twoway line dpartt_anstformarb dpartt_anstformtjm year if male==0, ///
title("Change in share part-time, percent") ///
subtitle("Women") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Change") ///
yscale(range(-10 10)) ylabel(-10(5)10) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\diffpartt_anstformwomen", replace)
graph export "P:\2019\66\Output\diffpartt_anstformwomen.pdf", replace

twoway line dpartt_anstformarb dpartt_anstformtjm year if male==1, ///
title("Change in share part-time, percent") ///
subtitle("Men") scheme(s2mono) legend(cols(3)) ///
graphregion(color(white)) ytitle("Change") ///
yscale(range(-10 10)) ylabel(-10(5)10) ///
xscale(range(1985 2016)) xlabel(1985(5)2015) ///
saving("P:\2019\66\Output\diffpartt_anstformmen", replace)
graph export "P:\2019\66\Output\diffpartt_anstformmen.pdf", replace
